com.tibbo.aggregate.common.action

## Class SingleThreadAction<I extends InitialRequest,C extends ActionCommand,R extends ActionResponse>

- java.lang.Object
- - com.tibbo.aggregate.common.action.SequentialAction<I,C,R>
  - - com.tibbo.aggregate.common.action.SingleThreadAction<I,C,R>

- All Implemented Interfaces:
    Action<I,C,R>
  Direct Known Subclasses:
    ServerAction

      public abstract class SingleThreadAction<I extends InitialRequest,C extends ActionCommand,R extends ActionResponse>
      extends SequentialAction<I,C,R>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingleThreadAction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionResult` | `destroy()`
    `protected ActionContext` | `getActionContext()`
    `void` | `init(ActionContext actionContext, I initialParameters)`
    `protected void` | `processError(java.lang.Throwable ex)`
    `protected ActionResult` | `redirect(ActionDefinition actionDefinition, I initialRequest)`
    `protected ActionResult` | `redirectById(ActionIdentifier actionId)`
    `protected R` | `send(C actionCommand)` Action Implementations should override this method to provide command sending functionality to client.
    `C` | `service(R actionRequest)` Action Implementations should override this method to convert request-response style processing to a continuous instruction flow in execute method.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.tibbo.aggregate.common.action.SequentialAction

      `invoke`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleThreadAction

          public SingleThreadAction()

  - ### Method Detail

    - #### init

          public final void init(ActionContext actionContext,
                                 I initialParameters)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### send

          protected R send(C actionCommand)
                    throws DisconnectionException

      Description copied from class: `SequentialAction`
      Action Implementations should override this method to provide command sending functionality to client.
      Specified by:
        `send` in class `SequentialAction<I extends InitialRequest,C extends ActionCommand,R extends ActionResponse>`
      Throws:
        `DisconnectionException`

    - #### service

          public final C service(R actionRequest)

      Description copied from class: `SequentialAction`
      Action Implementations should override this method to convert request-response style processing to a continuous instruction flow in execute method.
      Specified by:
        `service` in interface `Action<I extends InitialRequest,C extends ActionCommand,R extends ActionResponse>`
      Specified by:
        `service` in class `SequentialAction<I extends InitialRequest,C extends ActionCommand,R extends ActionResponse>`

    - #### redirect

          protected ActionResult redirect(ActionDefinition actionDefinition,
                                          I initialRequest)
                                   throws DisconnectionException

      Throws:
        `DisconnectionException`

    - #### redirectById

          protected ActionResult redirectById(ActionIdentifier actionId)
                                       throws DisconnectionException

      Throws:
        `DisconnectionException`

    - #### processError

          protected void processError(java.lang.Throwable ex)

    - #### destroy

          public final ActionResult destroy()

    - #### getActionContext

          protected ActionContext getActionContext()